﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using Service.BoardService;
using System.Collections.ObjectModel;
using System.ComponentModel;
using Service;

namespace AnzeigenApp
{
    public class AnzeigenUpdater
    //: INotifyPropertyChanged
    {
        //public static event PropertyChangedEventHandler PropertyChanged;
        private static TimeSpan sleepTime = new TimeSpan(0, 0, 20);
        private static string adminGuid = "";
        private static Thread Runner;

        private static bool isRunning = false;

        public static void Start()
        {
            try
            {
                Proxy fassade = new Proxy();
                adminGuid = fassade.Login("admin", "admin");
                isRunning = true;
                Runner = new Thread(new ThreadStart(Run));
                Runner.Start();
            }
            catch (Exception ex) { }
        }

        public static void Stop()
        {
            isRunning = false;
            Runner.Interrupt();
        }

        private static void Run()
        {
            while (isRunning)
            {
                try
                {
                    ObservableCollection<Anzeige> tmpAnzeigen = new ObservableCollection<Anzeige>();
                    Proxy fassade = new Proxy();
                    List<Anzeige> tmpList2 = fassade.GetAllAnzeigen(adminGuid, 0).ToList();
                    foreach (Anzeige anz in tmpList2)
                        tmpAnzeigen.Add(anz);
                    int counter2 = 1;
                    while (tmpList2 != null && tmpList2.Count > 0)
                    {
                        tmpList2 = fassade.GetAllAnzeigen(adminGuid, counter2++).ToList();
                        foreach (Anzeige anz in tmpList2)
                            tmpAnzeigen.Add(anz);
                    }
                    Anzeigen = tmpAnzeigen;
                    Thread.Sleep(sleepTime);
                }
                catch (Exception ex) { }

            }
        }

        private static ObservableCollection<Anzeige> anzeigen;

        public static ObservableCollection<Anzeige> Anzeigen
        {
            get
            {
                return anzeigen;
            }
            set
            {
                if (anzeigen != value)
                {
                    anzeigen = value;
                    //this.OnPropertyChanged("Anzeigen");
                }
            }
        }

        //protected virtual void OnPropertyChanged(string propertyName)
        //{
        //    PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        //}
    }
}
