﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using FluentNHibernate.Mapping;
using System.Runtime.Serialization;

namespace AnzeigenKomponente
{
    [DataContract(Namespace = "http://marius-klausa.eu/board")]
    public class Content
    {
        public virtual int ID { get; private set; }
        [DataMember]
        public virtual String Titel { get; private set; }
        [DataMember]
        public virtual String Beschreibung { get; private set; }
        [DataMember]
        public virtual String Text { get; private set; }

        public Content() { }

        public Content(String titel, String beschreibung, String text)
        {
            this.Titel = titel;
            this.Beschreibung = beschreibung;
            this.Text = text;
        }
    }

    public class ContentMap : ClassMap<Content>
    {
        public ContentMap()
        {
            Id(x => x.ID);
            Map(x => x.Titel);
            Map(x => x.Beschreibung);
            Map(x => x.Text);
        }
    }
}
