﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Service;
using Service.BoardService;

namespace Website.Sites
{
    public partial class UploadAvatar : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            SaveImages();

        }

        private System.Boolean SaveImages()
        {
            //loop through the files uploaded

            System.Web.HttpFileCollection _files = System.Web.HttpContext.Current.Request.Files;

            //Message to the user
            System.Text.StringBuilder _message = new System.Text.StringBuilder("Files Uploaded:<br>");
            var proxy = new Proxy();
            try
            {
                String guid = Request.QueryString["guid"];
                Guid gg;
                if (!Guid.TryParse(guid, out gg))
                    return false;
                for (System.Int32 _iFile = 0; _iFile < _files.Count; _iFile++)
                {

                    // Check to make sure the uploaded file is a jpg or gif

                    System.Web.HttpPostedFile _postedFile = _files[_iFile];
                    System.String _fileName, _fileExtension;

                    _fileName = System.IO.Path.GetFileName(
                    _postedFile.FileName);

                    _fileExtension = System.IO.Path.GetExtension(
                    _fileName).ToLower();
                    if (_fileExtension == ".jpg" || _fileExtension == ".png")
                    {
                        //Stream stream = new MemoryStream(_postedFile.InputStream);
                        Stream stream = _postedFile.InputStream;
                        //BinaryWriter bw = new BinaryWriter(stream);
                        FileTransferRequest request = new FileTransferRequest(guid, stream);
                        FileTransferResult result = proxy.ImageErstellen(request);
                        if (result.imageID != -1)
                        {
                            Profil p = proxy.GetProfil(guid);
                            p = proxy.ProfilAktualisieren(guid, p.Nickname, p.KontaktDetails.Vorname, p.KontaktDetails.Nachname, p.KontaktDetails.NameVisible,
                                p.KontaktDetails.Straße, p.KontaktDetails.Plz, p.KontaktDetails.Stadt, p.KontaktDetails.AdresseVisible, p.KontaktDetails.Telefon,
                                p.KontaktDetails.TelefonVisible, p.KontaktDetails.Email, p.KontaktDetails.EmailVisible, result.imageID, p.Sichtbar);
                            return true;
                        }
                    }
                    else
                    {

                        _message.Append(_fileName + " <font color=\"red\">failed!! Only .gif and .jpg images allowed!</font> <BR>");

                    }

                }
                return true;
            }
            catch (System.Exception Ex)
            {
                return false;
            }

        }
    }
}