﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Common.Logger
{
    public enum LogEvent
    {
        LoginAufgerufen, //Check
        LoginAusgeführt, //Check
        QRCodeLoginAusgeführt, //Check
        LogoutAufgerufen, //Check
        LogoutAusgeführt, //Check
        RegistrierenAufgerufen, //Check
        RegistrierenAusgeführt,  //Check
        HilfeAufgerufen, //Check
        HilfeBereichGewechselt, //Check
        ProfileAufgerufen, //Check
        ProfilAngeschaut, //Check
        EigenesProfilAufgerufen, //Check
        ProfilbildGelöscht, //Check
        ProfilGespeichert, //Check
        InserateAufgerufen, //Check
        InseratAngeschaut, //Check
        KategorieGewählt, //Check : sowohl selektiert,als auch deselektiert
        SuchwortGeändert, //Check : beliebiges Zeichen getippt oder gelöscht
        EigeneInserateAufgerufen, //Check
        EigenesInseratAngeschaut, //Check
        InseratGelöscht, //Check
        InseratÖffentlichGesetzt, //Check
        InseratPrivatGesetzt, //Check
        InseratPerMailGesendet, //Check
        FeedbackAufgerufen, //Check
        FeedbackAbgeschickt, //Check
        IdleModusGestartet, //Check
        IdleModusBeendet, //Check
        RegistrierungsVersuch,
        RegistrierungsErfolg,
        AccountAktiviert,
        SendeAktivierungsMail,
        AnzeigeErstellenVersuch,
        AnzeigeErstellenErfolg,
        AnzeigeAbgerufen,
        BildHochgeladen,
        PasswortGeändert,
        None
    }
}
