﻿<%@ Register TagPrefix="cc1" Namespace="WebControlCaptcha" Assembly="WebControlCaptcha" %>

<%@ Page Language="C#" MasterPageFile="~/Master.master" AutoEventWireup="true" CodeBehind="Erstellen.aspx.cs" Inherits="CampusBoardWebsite.Erstellen" %>


<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" runat="Server">
    <h1>Anzeige Erstellen</h1>
    <input type="hidden" name="selectedKategorie1" value="">
    <input type="hidden" name="selectedKategorie2" value="">
    <input type="hidden" name="selectedKategorie3" value="">
    <br />
    <br />
    <br />
    <div>
        <table class="table">
            <thead>
                <tr>
                    <th>Kategorie 1(verpflichtend)</th>
                    <th>Kategorie 2(optional)</th>
                    <th>Kategorie 3(optional)</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>
                        <div class="dropdown">
                            <a runat="server" id="lblKat1" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" href="#">Nicht ausgewählt<b class="caret"></b></a>
                            <ul runat="server" id="kategorien1" class="dropdown-menu">
                            </ul>
                        </div>
                    </td>
                    <td>
                        <div class="dropdown">
                            <a runat="server" id="lblKat2" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" href="#">Nicht ausgewählt<b class="caret"></b></a>
                            <ul runat="server" id="kategorien2" class="dropdown-menu">
                            </ul>
                        </div>
                    </td>
                    <td>
                        <div class="dropdown">
                            <a runat="server" id="lblKat3" class="btn btn-primary dropdown-toggle" data-toggle="dropdown" href="#">Nicht ausgewählt<b class="caret"></b></a>
                            <ul runat="server" id="kategorien3" class="dropdown-menu">
                            </ul>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    <table class="=table">
        <tr>
            <td>
                <label>Titel</label>
                <input runat="server" id="txtTitle" type="text" placeholder="Titel...">


                <input visible="false" runat="server" type="text" id="txtBeschreibung" placeholder="Beschreibung..." />

                <label>Inhalt</label>
                <textarea runat="server" id="txtInhalt" rows="10"></textarea>
            </td>
            <td style="width: 200px"></td>
            <td>
                <label>
                    Welche Kontaktinformationen aus dem Profil sollen dem QR-Code beigefügt werden?<br />
                    (Die im Profil als öffentlich markierten sind per Default enthalten)</label>
                <label class="checkbox">
                    <asp:CheckBox ID="chkAddress" runat="server" />
                    Adresse
                </label>
                <label class="checkbox">
                    <asp:CheckBox ID="chkTel" runat="server" />
                    Telefon
                </label>
                <label class="checkbox">
                    <asp:CheckBox ID="chkMail" runat="server" />
                    Email
                </label>
                <br />
                <br />
                <input runat="server" id="tags" type="text" placeholder="Tags...(kommaseparaiert)">
            </td>
        </tr>
    </table>
    <br />
     <div>
        <cc1:CaptchaControl ID="CaptchaControl1" runat="server" Text="Hier Code eingeben:"></cc1:CaptchaControl>
    </div>
    <asp:Button ID="btnErstellen" OnClick="btnErstellen_Click" runat="server" Text="Weiter" class="btn btn-primary" />
    <div id="alertError" visible="false" class="alert alert-error" runat="server">
        <strong>Fehler! </strong>
        <asp:Label ID="lblError" runat="server" Text="lblError"></asp:Label>
    </div>
    <div id="alertSuccess" visible="false" class="alert alert-success" runat="server">
        <strong>Erfolg! </strong>
        <asp:Label ID="lblSuccess" runat="server" Text="lblSuccess"></asp:Label>
    </div>
    <div class="alert alert-info" runat="server" id="alertInfo" visible="false">
        <strong>Achtung! </strong>
        <asp:Label ID="lblInfo" runat="server" Text="lblInfo"></asp:Label>
    </div>
    <asp:ScriptManager
        EnablePageMethods="true"
        ID="MainSM"
        runat="server"
        ScriptMode="Release"
        LoadScriptsBeforeUI="true">
    </asp:ScriptManager>
    <script type="text/javascript">
        $('#MainContent_btnErstellen').on().click(function () { $('#divProgress').show(); });
        $('#mydiv2').on().click(function () { PageMethods.GetTime(function (result) { alert(result) }); });
        function callMethod() {
            PageMethods.test1(function (result) {alert(result) },'Angebot');
        }
        function callMethod2() {
            alert("blub");
        }
    </script>
</asp:Content>
