﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Service;

namespace CampusBoardWebsite
{
    public partial class Login : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (IsPostBack)
            {

            }
        }

        protected void btnLogin_Click(object sender, EventArgs e)
        {
            if (!String.IsNullOrEmpty(txtBoxMail.Text) && !String.IsNullOrEmpty(txtBoxPw.Text))
            {
                var fassade = new Proxy();
                var guid = fassade.Login(txtBoxMail.Text, txtBoxPw.Text);
                if (String.IsNullOrEmpty(guid))
                {
                    //Wrong Credentials
                    divAlertWrong.Visible = true;
                    divAlertEmpty.Visible = false;
                }
                else
                {
                    //Success, redirect...
                    Session.Add("guid", guid);
                    if (fassade.IstAccountAktiviert(guid))
                    {
                        Session.Add("state", LoginState.active);
                        Response.Redirect("Erstellen.aspx");
                    }
                    else
                    {
                        Session.Add("state", LoginState.inactive);
                        Response.Redirect("Aktivieren.aspx");
                    }
                }
            }
            else
            {
                divAlertWrong.Visible = false;
                divAlertEmpty.Visible = true;
            }
        }
    }
}