﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Service;

namespace CampusBoardWebsite
{
    public partial class Register : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void btnLogin_Click(object sender, EventArgs e)
        {
            if (!chkAGB.Checked)
            {
                divAlertWrongDomain.Visible = false;
                divAlertEmpty.Visible = false;
                divAlertUnknown.Visible = false;
                divAlertSuccess.Visible = false;
                divAlertPwWrong.Visible = false;
                divAlertAGB.Visible = true;
                return;
            }
            if (!String.IsNullOrEmpty(txtBoxMail.Text) && !String.IsNullOrEmpty(txtBoxPw.Text))
            {
                if (!txtBoxPw.Text.Equals(txtBoxPw2.Text))
                {
                    divAlertWrongDomain.Visible = false;
                    divAlertEmpty.Visible = false;
                    divAlertUnknown.Visible = false;
                    divAlertSuccess.Visible = false;
                    divAlertPwWrong.Visible = true;
                    divAlertAGB.Visible = false;
                }
                else if (checkEmail(txtBoxMail.Text))
                {
                    var fassade = new Proxy();
                    var guid = fassade.Registrieren(txtBoxMail.Text, txtBoxPw.Text);
                    if (String.IsNullOrEmpty(guid))
                    {
                        //User already exists
                        divAlertPwWrong.Visible = false;
                        divAlertWrongDomain.Visible = false;
                        divAlertEmpty.Visible = false;
                        divAlertUnknown.Visible = true;
                        divAlertSuccess.Visible = false;
                        divAlertAGB.Visible = false;
                    }
                    else
                    {
                        //Success, redirect...
                        divAlertWrongDomain.Visible = false;
                        divAlertEmpty.Visible = false;
                        divAlertUnknown.Visible = false;
                        divAlertSuccess.Visible = true;
                        divAlertPwWrong.Visible = false;
                        divAlertAGB.Visible = false;
                        //Session.Add("guid", guid);
                        //if (fassade.IstAccountAktiviert(guid))
                        //{
                        //    Session.Add("state", LoginState.active);
                        //    Response.Redirect("Erstellen.aspx");
                        //}
                        //else
                        //{
                        //    Session.Add("state", LoginState.inactive);
                        //    Response.Redirect("Aktivieren.aspx");
                        //}
                    }
                }
                else
                {
                    divAlertWrongDomain.Visible = true;
                    divAlertEmpty.Visible = false;
                    divAlertUnknown.Visible = false;
                    divAlertPwWrong.Visible = false;
                    divAlertSuccess.Visible = false;
                    divAlertAGB.Visible = false;
                }
            }
            else
            {
                divAlertWrongDomain.Visible = false;
                divAlertEmpty.Visible = true;
                divAlertPwWrong.Visible = false;
                divAlertUnknown.Visible = false;
                divAlertSuccess.Visible = false;
                divAlertAGB.Visible = false;
            }
        }

        private bool checkEmail(string mail)
        {
            if (String.IsNullOrEmpty(mail))
                return false;
            if (mail.Count(x => x.Equals('@')) != 1)
                return false;
            if (!mail.Substring(mail.IndexOf("@")).ToLower().Equals("@haw-hamburg.de"))
                return false;
            return true;
        }
    }
}