﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using System.ServiceModel.Web;
using AnzeigenKomponente;
using ProfilKomponente;

namespace Fassade
{
    [ServiceContract(Namespace = "http://marius-klausa.eu/board")]
    public interface IFassadeSOAPInterface : IFassadeWebInterface
    {

        [OperationContract(Action = "ImageErstellen")]
        FileTransferResult ImageErstellen(FileTransferRequest file);

        [OperationContract(Action = "UploadLogfile")]
        void UploadLogfile(FileTransferRequest file);

        [OperationContract(Action = "IsAlive")]
        void IsAlive(string guid);

        //[OperationContract(Action = "ImageErstellen")]
        //string ImageErstellen(FileTransferRequest file);

        //[OperationContract(Action = "CreateImage")]
        //[WebGet(UriTemplate = "CreateImage?path={path}&url={url}", ResponseFormat = WebMessageFormat.Json)]
        //int CreateImage(string path, string url);

        //[OperationContract(Action = "GetQueriedAnzeige")]
        //[WebGet(UriTemplate = "GetQueriedAnzeige?guid={guid}", ResponseFormat = WebMessageFormat.Json)]
        //IList<Anzeige> GetQueriedAnzeige(string guid);
    }

    [MessageContract]
    public class FileTransferRequest
    {
        [MessageHeader(MustUnderstand = true)]
        public string guid;

        [MessageBodyMember(Order = 1)]
        public System.IO.Stream Data;
    }

    [MessageContract]
    public class FileTransferResult
    {
        [MessageBodyMember]
        public int imageID = -1;
    }
}
