﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using BasisKlassen;
using Common.Logger;

namespace LoginRegisterApp
{
    /// <summary>
    /// Interaktionslogik für LogoutView.xaml
    /// </summary>
    public partial class LogoutView : MyUserControl
    {
        private Model model;

        public LogoutView(Model model)
        {
            InitializeComponent();
            this.model = model;
            DataContext = this;
            Title = "LOGOUT";
        }

        private void surfaceButton1_Click(object sender, RoutedEventArgs e)
        {
            Logger.LogEvent(LogEvent.LogoutAusgeführt, model.Guid);
            model.Guid = String.Empty;
        }

        private void MyUserControl_Loaded_1(object sender, RoutedEventArgs e)
        {
            Logger.LogEvent(LogEvent.LogoutAufgerufen, model.Guid);
        }
    }
}
